Create filter

This API creates a new filter and adds this new filter to the Ayla mDSSV2 filter list.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The follow table provides the body parameter list:

Parameter nameDatatypeMandatory/OptionalDescription
nameStringOptionalUser-assigned subscription name.
oem_idStringOptionalUnique customer identifier for Ayla cloud services. If this parameter is not passed, it will be fetched using your auth_token.
user_uuidStringOptionalEnd-user’s unique user ID.
descriptionStringOptionalUser friendly description of the Filter.
is_activeBooleanOptionalIndicate whether the current filter is active or not.
Default = True
client_typeStringMandatoryPossible values: Mobile, Cloud, or Voice
filter_conditionsObject
event_typeOptionalPossible event type values:
  • connectivity
  • registration
  • datapoint
  • datapointack
  • location
To subscribe to all event_types, use empty array "[]".
modelString ArrayOptionalModel associated with device.
To represent all models, use empty array "[]".
dsnString ArrayConditional
If oem_model is not passed, then it is Mandatory.
(Device Serial Number) Unique device identifier in Ayla cloud services.
To represent all DSNs, use empty array "[]".
If you choose to add specific devices, you can add upto maximum of 20 devices.
property_namesString ArrayConditional
  • If event_type = (“datapoint”,”datapointack”), then it is mandatory.
Name of the property associated with the device.
  • NOTE*: → NULL or "[]" will not be considered and it will throw an error.
oem_modelString ArrayConditional
  • If DSN is not passed, then it is mandatory.
Unique product model name.
To represent all OEM models, use empty array "[]".
Body Params
json
Responses

400

Bad Request

401

Unauthorized

403

Forbidden

422

Unprocessable Entity

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json